package J20250714.demo04;

import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description
 *
 * 案例1：
 *     需求：已知用户名和密码，编写程序实现模拟用户登录。总共给3次机会，登录后给出相应提示。
 *     步骤：
 *         1、已知用户名和密码，定义两个字符串。
 *         2、键盘输入要登录的用户名和密码，使用Scanner实现
 *         3、用键盘输入的用户名、密码和已知的用户名、密码进行比较，给出相应提示
 *         4、字符串内容比较，使用equals进行比较。
 *         5、使用循环实现多次机会，次数明确，for循环，登录成功，就用break跳出循环。
 *
 *
 * @create 2025/7/14
 */
public class Demo01 {
    public static void main(String[] args) {
        //用户名、密码
        String username="admin";
        String password="admin123456";
        //利用键盘输入要登录的用户名和密码，使用Scanner实现
        Scanner sc=new Scanner(System.in);
        //调用方法获取键盘输入的用户名和密码
        //sc.nextInt();//获取键盘输入的整数
        //sc.nextDouble();//获取键盘输入的小数
        //sc.next();//获取键盘输入的一段字符串(包含整数、小数、符号....)，以空格为结束符
        //sc.nextLine();//获取键盘输入的一行字符串  以回车为结束符。
        for (int i = 1; i <= 3; i++) {
            //每一次都要输入用户名和密码
            String scUsername=sc.nextLine();
            String scPassword=sc.nextLine();
            if (username.equals(scUsername)&&password.equals(scPassword)){
                System.out.println("登录成功");
                break;
            }else {
                if (i==3){
                    System.out.println("你今日登录次数已经达到上限，请明天再来");
                    break;
                }
                System.out.println("登录失败，用户名或密码错误，今天还剩"+(3-i)+"次机会");
            }
        }


    }
}
